Name:		quazip
Version:	0.6.2
Release:	%mkrel 1
Summary:	Qt/C++ wrapper for the minizip library
License:	LGPLv2+
Group:		System/Libraries
URL:		http://quazip.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	qt4-devel
BuildRequires:	zlib1-devel
BuildRequires:	libzip-devel
BuildRequires:	doxygen
BuildRequires:	graphviz

%description
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.

QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and - yes! - that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.

QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.

%package devel
Summary:		Development files for %{name}
Group:			Development/Libraries
Requires:		%{name} = %{version}-%{release}
Requires:		zlib-devel
Requires:		qt4-devel

%description devel
The %{name}-devel package contains libraries, header files and documentation
for developing applications that use %{name}. 

%prep
%setup -q

# Fixes build and install
sed -i 's\PREFIX/lib\PREFIX/%{_lib}\' %{name}/%{name}.pro
# removing test programs
sed -i 's\test/[a-zA-Z]*\\g' %{name}.pro

%build
%{qmake_qt4} PREFIX=%{_prefix} LIBS+="-lzip -lz"
%make

doxygen Doxyfile
for file in doc/html/*; do
	touch -r Doxyfile $file
done

%install
rm -rf %{buildroot}
make INSTALL="install -p" INSTALL_ROOT=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/%{name}
%{_libdir}/*.so


%changelog
* Thu Jul 10 2014 ghostbunny <ghostbunny at gmx dot de> 0.6.2-1pclos2014
- 0.6.2
- add -lz to LIBS

* Sat Jun 16 2012 Neal <nealbrks0 at gmail dot com> 0.4.1-1pclos2012
- process

* Sat Jun 16 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.4.1-1_archie_2012
- rebuild

* Mon Dec 05 2011 Texstar <texstar at gmail.com> 0.4.1-1pclos2011
- 0.4.1
